class_name ReturnBallAction
extends ActionLeaf

func before_run(actor, _blackboard):
	actor.play_throw_animation()

func tick(actor, blackboard):
	if !actor.is_throw_animation_finished:
		return RUNNING
	else:
		print("enemy return ball!")
		var target = blackboard.get_value("target")
		actor.return_ball(target)
		return SUCCESS

func after_run(actor, _blackboard):
	actor.animation_player.play("idle")
